commit be3abf8570ad70ff7ebbaab1910798c8ddd1a3ae
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Aug 7 09:17:29 2012 +1000

    xgi: build against non-piooffset vgahw
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 5cebdabdaa66a8e512a73fa16f30521457079b28
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Aug 7 09:14:39 2012 +1000

    xgi: convert to new server compat API
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit eaaf5dd373ab36491ac719f1408f1f4e2f7eb4f4
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Aug 7 08:58:44 2012 +1000

    xgi: fix for XAA removal
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 40f5514ca792c4e9867e6d890559c2ba6be63e63
Author: Johannes Obermayr <johannesobermayr@gmx.de>
Date:   Thu Nov 3 23:22:34 2011 +0100

    Fix warning: control reaches end of non-void function.
    
    [Tormod: Remove unnecessary else and fix spelling in messages]
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 67a628afd11534ce0f570689da57c2c7ac5f955e
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:42:06 2011 -0500

    Fall back to shadowfb if XAA is unavailable
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit c348d847a3e6240be04519e2f64774a5e4dd3faa
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:41:24 2011 -0500

    Fix for new vgaHW ABI
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 28a36e33ac219f82b765f392365abff68cb3b22d
Author: Stefan Dirsch <sndirsch@novell.com>
Date:   Tue Nov 1 19:39:46 2011 +0100

    (xf86)LoaderReqSymLists is not longer supported/required.
    
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 3b24a2eef9b1069b3a570373fa9e2d3259a843fe
Author: Stefan Dirsch <sndirsch@novell.com>
Date:   Tue Nov 1 19:39:45 2011 +0100

    Fix some serious compiler warnings.
    
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit b9db7661e6c47ec569dc7fd986147cc5b5b4c3a5
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Oct 30 11:28:27 2011 -0700

    Use unsigned long rather than deprecated IOADDRESS
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 2fe26848181e50e451dde7c65a8d780ec52dc26a
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 20:15:13 2011 -0700

    Use malloc/calloc/realloc/free directly
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 21cfd0d44635e30356ed1c94a8afed3c5b155219
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Aug 5 11:24:33 2011 -0400

    Fix bAccessVGAPCIInfo to read when you tell it to
    
    I have no idea how this worked at all before.  Probably it didn't.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 6bf14b432cd19c2de08092680d397ff2a39c2acd
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Aug 5 11:19:45 2011 -0400

    s/\<alloc\>/malloc/g
    
    ac3d39b1 apparently thought that just chopping off the initial 'x' was
    okay.  Nope!
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 28c9a066e239177dd1de071e38b8a9a6f2add08e
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jun 22 17:00:04 2011 -0400

    Don't include xf86Priv.h
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit d0ac7e713fa654096d79f2a16c368fb0be94f1bc
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Mar 27 15:21:51 2011 -0700

    Include <unistd.h> for usleep(3)
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 2195d1cf692652fc51a94286a347000729301a32
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Mar 27 15:17:04 2011 -0700

    BuildFix for big endian machines (fixes incorrect macro in previous commit).
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 82b83468d0ce39c52975a9a4dccbebc6abf6968e
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Mar 25 18:55:27 2011 -0400

    Fix build on bigendian
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit ac3d39b14d5e9eaf2326d291d8416ba400956611
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Thu Oct 21 15:11:10 2010 -0400

    Convert x+m/calloc/free to m/calloc/free.
    
    Replace calls to deprecated dynamic memory wrapper functions
    in driver code.
    
    Reviewed-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 089e8da8919a2b55ec2b565dd02ff1887a3a18d1
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:52 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2968f0a025d2d7f177f8e1c37d1eaf15698c5c1a
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Aug 10 11:06:25 2010 -0400

    xf86-video-xgi 1.6.0
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 9f69eadd3aa2729aced40d7443970145ec1111e5
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Fri Jul 30 17:42:56 2010 -0400

    Modify search for drm include.
    
    The build system already includes the location of the drm header
    file (using -I) so the source doesn't need to hard-code the
    relative path.
    
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>

commit 313ccbd83a8e5a8c2e3e83a8bf676caedf8b4a89
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jul 22 11:38:45 2010 -0400

    config: add comments for main statements

commit 9cbc4ed4b4091c0226258fe690ee0b59fc7196a8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:04 2010 -0400

    config: add comments for main statements

commit 1038df3facc73c9c36e70f0a025ad1badc096548
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit dbbfc8de3045ae8ecdcc18db7cf36c21a6a4c9f1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:37:42 2010 -0400

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 76a11f3715d28fddfd37585a4b78a9c9c7274f79
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:23 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b59697b78cc7a07d469be817c58c87e019e86b9b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b3a97ac2f706fd21a7287002b2a5fc180f725f01
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:54:12 2010 -0400

    config: remove unrequired AC_SUBST([DRI_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bbe1bcd32ab97f735a547553827250b7d9f8aa2d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:44:58 2010 -0400

    config: remove unrequired AC_SUBST([XORG_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c5bd3024ed5125b045111a169e03d6a7865e2401
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 511f04802f7aeb69e0dae861919553fd26ea6275
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 19:41:31 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5ecf1285f48da15b1c453e12dde7ebe56a07b40d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:19 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 60c9b466f8c2e51ee62001d40dfe4b0b1889022d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 16:15:30 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.

commit 98cff06e1633d964c08d82f144a065d94e2b0f51
Author: Fernando Carrijo <fcarrijo@yahoo.com.br>
Date:   Thu Jul 1 07:19:18 2010 -0300

    Purge macro NEED_REPLIES
    
    Signed-off-by: Fernando Carrijo <fcarrijo@yahoo.com.br>
    Acked-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d8af97e26032ab40c70ce35da448fd52ca14203e
Author: Chris Ball <cjb@laptop.org>
Date:   Fri Jun 25 13:28:45 2010 -0400

    xgi: Compile fix: XSERVER_LIBPCIACCESS guards

commit 9f688a692e4f094ad2e31a5f5899e321d0cb5fbb
Author: Chris Ball <cjb@laptop.org>
Date:   Fri Jun 25 13:25:39 2010 -0400

    xgi: Compile fix: f2b97df.. incorrectly removed micmap.h instead of mibank.h

commit edc7a40ed2aaedc03244b84ae0560a41fc7fa10c
Author: Chris Ball <cjb@laptop.org>
Date:   Fri Jun 25 13:21:25 2010 -0400

    xgi: Compile fix: guard XF86_VERSION_CURRENT with ifdef

commit f2b97df11d9cf95221860be07ccfbd32ef0a2c32
Author: xgi0007 <xgi0007@linux.site>
Date:   Wed Jun 23 11:14:54 2010 +0800

    XGI: Remove mibank.h reference

commit b8e0da9399b293c7d16047d49e04d3ea49dc6947
Author: xgi0007 <xgi0007@linux.site>
Date:   Wed Jun 23 11:08:33 2010 +0800

    XGI: Fixed compile issues for current version of xorg-xserver

commit 0fa7f054dba2f037843fc179a531f242b8c5c6c8
Author: root <root@linux.site>
Date:   Wed Jun 23 11:03:24 2010 +0800

    XGI: Fixed compile issues for new versions of xorg-server

commit f29e03ef1ee9971a48bf5368f190c0450aee3a39
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 13 13:29:37 2010 -0400

    COPYING: add file with actual Copyright notices.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4031f9428d24015555734a0ca50b2508d63f0da9
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue May 18 13:18:14 2010 -0400

    Remove mibank.h reference
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 2ac9f2a81d2cc4ec90e3fe095b2e975aa5ed9316
Author: xgi0007 <xgi0007@linux.site>
Date:   Thu May 6 13:29:15 2010 +0800

    XGI:Unify driver for x86/PowerPC/ARM, Add EXA, I2c EDID, Custom Modes, Bugs fixed, ...

commit 19c426c15ffcf4a95a30c011daba7c41a52c2c4d
Author: xgi0007 <xgi0007@linux.site>
Date:   Thu May 6 13:22:39 2010 +0800

    XGI:suport ARM, add EXA, I2c EDID, Custom Modes, Bugs fixed, ...

commit 6357c787a30c02b7d5ed8fe7429ab7e85cc57411
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Mar 25 16:02:28 2010 -0400

    man: complete the makefile to build the man pages
    
    Using the common sed method to build the man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9b7d5630a544596f938be4d989ee3f9db3273df0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:05:54 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit f3cc0e3e78f29f1b54fb22593b8be4485975dddd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 21:47:50 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    Acked-by: Daniel Stone <daniel@fooishbar.org>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ca80c41bce82e10e7056382705a7ad6f8e5f4aa2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:06 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit cbcfbab5b129b6a76aa02cd88182400547fee4e9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit a7e1c8df93a77eefadc22d9b75ebe2c6f61ca895
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit d9adca488250021d4c48c021abefdf7b738fda39
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 08:47:05 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    Pre-req for generating INSTALL file

commit cbabb766a35e31f42346aac70bfd818c47c91f42
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:41 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 39703da4882b8d27b71ad59a37d9eeb341b62adc
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 21 21:45:46 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit f3ef66fcaac89991783022e781f1fa084d0d279c
Author: Rémi Cardona <remi@gentoo.org>
Date:   Sun Sep 20 00:21:41 2009 +0200

    fix detection of libpciaccess support in the server
    
    Signed-off-by: Rémi Cardona <remi@gentoo.org>

commit a33ffd84e82c1edef6863a2af850960218a82170
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Sep 7 15:03:21 2009 +1000

    bump to 1.5.1

commit a737574ac99c8eb4ac0b98afc073b8c73031d94d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Sep 7 09:00:39 2009 +1000

    Remove xgi-xg20-21-27.patch (#23752)
    
    Patch was basis for f9f7b2a7457744f9abc99626ee992a6886a6fbe5 but should be
    in the repo itself.
    
    X.Org Bug 23752 <http://bugs.freedesktop.org/show_bug.cgi?id=23752>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b085ad2f3e68667e625eb60a675ff77180c0c288
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 28 21:52:34 2009 -0400

    video-xgi: fix incorrect function call to open() #23010
    
    call to ‘__open_missing_mode’
    declared with attribute error: open with O_CREAT in second argument needs 3
    arguments
    
    fd = open("/dev/fb", 'r') Second parm is incorrect,
    changed to O_RDONLY as other distros did.
    
    Tested for correct compilation on AMD64
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fff5d8cf8e078159cc915562726cd6366eb05cc8
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 15:22:42 2009 +1000

    xgi: change to using ABI version check

commit 2de661a49fc6cef9e069ecbe964b520971210551
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:47:49 2009 +1000

    xgi: fix resources/rac rework

commit 48b614fd26484ff3390b0290f9f60630e6f959d2
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:32:41 2009 +1000

    xgi: update for resources/RAC API removal

commit 6e3d664fd37b657800efc107ca63834cd5d14151
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jul 21 13:48:05 2009 +1000

    xf86-video-xgi: Uninclude xf1bpp.h and xf4bpp.h.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4ecc827754a69c14d27e60ef27578e46152eecbc
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jul 21 13:46:42 2009 +1000

    xf86-video-xgi: Rename xf86Version includes and defines to xorgVersion.
    
    s/xf86Version.h/xorgVersion.h/
    s/XF86_VERSION/XORG_VERSION_/
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c7ef9a719168aa563f95245df9037792be663e4d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 15 15:11:00 2009 -0400

    Use XORG_CHANGELOG macro to create ChangeLog. #22611
    
    Adding the macro in configure.ac and use it in Makefile.am
        Refer to: https://bugs.freedesktop.org/show_bug.cgi?id=22611
        Global maintenance on all modules
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a365343b076852a2a58cb02db49d6c888dd4c356
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 16 12:00:04 2009 +1000

    Update to xextproto 7.1 support.
    
    DPMS header was split into dpms.h (client) and dpmsconst.h (server). Drivers
    need to include dpmsconst.h if xextproto 7.1 is available.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0009607e1d43edadfd3e2fd732aa0f7230f85fb1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 30 21:07:52 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos

commit 55cc78e4eb15fde0e9239736c75313a1b24b65ef
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri May 30 11:30:11 2008 -0700

    Fix build for libpciaccess X servers

commit f9f7b2a7457744f9abc99626ee992a6886a6fbe5
Author: root <root@linux.site>
Date:   Mon Apr 28 10:46:29 2008 +0800

    XGI:Add support for XG21/27

commit 0b28672591001e1448cfc65f928d0b5f0ec79138
Merge: d832b8a f9980c8
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 06:09:25 2007 -0400

    Merge branch 'master' of ssh://git.freedesktop.org/git/xorg/driver/xf86-video-xgi

commit d832b8a0af950cf573894406c43155d10f6dfcea
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:52:52 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit f9980c852641184df43f91dfed8fdf8ea02dfdf8
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Aug 27 16:13:48 2007 -0700

    Eliminiate remaining bits xgi_ver.h cruft.

commit 9d9c5718d41ca9fe330f7030f45251bb869cd40e
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Aug 27 16:02:24 2007 -0700

    Bump version to 1.5.0.

commit 8966e20662175cce882836bddb6308081eb6a4e6
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Aug 27 15:40:06 2007 -0700

    Port to libpciaccess and related interfaces.

commit eb6d0b2ea021384f8e90b79b802bfaa7f27c042d
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Jun 26 09:53:20 2007 -0700

    Use SiS DRM.
    
    Support was added for SiS based XGI chips in SiS DRM version 1.3.0.
    Use this as the DRM for XG40 chips.

commit 07c232e368604ae1392a2d81df75cc3e13fdf99c
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Jun 26 09:24:09 2007 -0700

    Change default configuration for maxxfbmem
    
    Previously maxxfbmem had to be configured by the user via xorg.conf in
    order for DRI to work.  maxxfbmem is now set to the required size for
    the virtual display.  This allows DRI to work without additional user
    intervention.
    
    In addition, code was added to detect the case there no additional
    framebuffer memory is available.  In this case, DRI is disabled.  This
    prevents mysterious lock-ups when trying to use DRI without video
    memory for back buffers, etc.

commit b03d7713bb2fcb7ab1da527aeb6111f7f36c11b7
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Jun 25 16:12:05 2007 -0700

    Refactor code that selects max wait iterations to its own function
    
    Move code that selects the maximum wait iterations out of Volari_Wait
    into Volari_SetDefaultIdleWait.  This function is called from
    XGIModeInit.  The win here is that we can eliminate the Current*
    global variables.

commit 34069dec0a5c73a54fd044d699461a9e90b0bce0
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Jun 25 15:54:24 2007 -0700

    Fix typo in comment.

commit 08861b25394313502eb06f45c59d2250b78d4d41
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Jun 25 15:49:40 2007 -0700

    Eliminate SR1E magic numbers.

commit 9df137116e725e63aa749f0bc8674f797495a20c
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Jun 25 15:35:09 2007 -0700

    Fix compile blooper on last commit.

commit 17645e10c7d837b1cbd8959476f9d41983304b91
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Jun 25 15:33:10 2007 -0700

    Change Volari_Idle from a macro (#define) to a function.

commit edb6c087224ec54355e92a3989e4365b80fb0b3b
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Jun 25 13:18:53 2007 -0700

    Eliminate XGIIdle wrapper.

commit f3580e33739e0d5a74980a105f04b91f62e1f274
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Jun 25 13:17:46 2007 -0700

    Enable DRI when XGIfb is not available.
    
    Previously DRI was only enabled when XGIfb was available.  This was
    done because XGIfb was the only place that initialized the framebuffer
    memory manager.  However, there is an ioctl for this purpose.  Code
    was added to xgi_dri.c to call this ioctl.
    
    This matches the way the SiS driver works.

commit 8f04e1a76c08068ec0fc83fce5f71225ca6c3ec1
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Jun 22 16:21:32 2007 -0700

    Clean up DRI initialization.

commit 5c4d707c4e291f81e39cec94ba31eeef4377887d
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Jun 22 09:06:14 2007 -0700

    BlankCRT2 is set but never used.  Eliminate it.

commit 941c7463bb853c5c2780fcdcafcf50e9b211d309
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Jun 22 09:03:26 2007 -0700

    Move #endif to eliminate compiler warning.

commit ad28d9d45a8d5f17bdfff0b944c30776fa5f9a44
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Jun 22 09:02:32 2007 -0700

    checkit is set to false and never changed.  Eliminate it.

commit 0fd883edc7c047483e91b08224d6824ba373739d
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Jun 22 09:01:25 2007 -0700

    Eliminate unnecessary IS_SECOND_HEAD test.
    
    Because of the if-statement at line 5011, we *know* that
    IS_SECOND_HEAD is false at line 5034.  Eliminate the unnecessary test
    and else clause.

commit 84d1f89c81e4401833368d48b208bfca8a8c1a25
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Jun 22 08:57:02 2007 -0700

    Wrap accesses to entityPrivate with a macro.
    
    By wrapping accesses to entityPrivate with a macro some more in-code
    instances of '#ifdef XGIDUALHEAD' can be eliminated.

commit a1a5298851c333bafae43b15ccc5ef7499ca262b
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Jun 21 17:09:52 2007 -0700

    First phase of eliminating '#ifdef XGIDUALHEAD' from code.
    
    Replace all the tests of DualHeadMode and SecondHead with macros that
    evaluate to FALSE when XGIDUALHEAD is not set.  This allows the
    elimination of many of the occurances of '#ifdef XGIDUALHEAD' in the
    code.

commit 8cf397cc146b34397b1a9734356b23df0b7d8553
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Jun 21 16:01:15 2007 -0700

    Clarify log message when DRI is not supported due to lack of fbdev.

commit 139f0bbbdeb6e65169a0308d456a4bdece5ed757
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri May 4 09:50:49 2007 -0700

    Rearrange XGI_SetCRT1VCLK to make it look more like XGI_New_SetCRT1VCLK
    
    There are still some (seemingly) significant differences between these
    two functions, so I have not yet refactored them into a single function.

commit 84d3ded2c92a5230025de80b2dc49bfc220fb766
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri May 4 09:31:28 2007 -0700

    Eliminate XGI_SetCRT1Sync. Universally use XGI_SetSync.

commit 75e8c989525fe5496502f15b24ea25219f92517f
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri May 4 09:27:16 2007 -0700

    Eliminate XGI_New_ClearExt1Regs. Universally use XGI_ClearExt1Regs.

commit 78d6ae712a9adfe9b93fe18255a181e4ed978ca4
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 18:31:27 2007 -0700

    Eliminate XGI_New_SetGRCRegs. Universally use XGI_SetGRCRegs.

commit 5205087bff0eead4fa8c9dbb97b7608fb773cdc7
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 18:26:19 2007 -0700

    Actually remove XGI_New_SetATTRegs
    
    This change was missed on the previous commit.

commit 15dc3557b460a12d284ec1e5d87ed542a11f3b72
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 18:25:19 2007 -0700

    Elminiate XGI_New_SetATTRegs. Universally use XGI_SetATTRegs.
    
    There are some differences between these functions.  Some were moved
    over to XGI_SetATTRegs.  For the others, I'm *assuming* the more
    recent code drop from XGI (i.e., XGI_SetATTRegs) is correct for the
    Volari parts.

commit 79cfe8aa44692f3a582045a196afe7524216056c
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 18:16:40 2007 -0700

    Elminiate XGI_New_SetCRTCRegs. Universally use XGI_SetCRTCRegs.

commit 4e91916b8b7ab62bb139ad9816206c4ade403c76
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 18:12:03 2007 -0700

    Eliminate XGI_New_SetMiscRegs. Universally use XGI_SetMiscRegs instead.

commit dfbc3120d191b3f3372a2270bb2388303bddc467
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 18:08:27 2007 -0700

    Eliminiate XGI_New_SetSeqRegs. Universally use XGI_SetSeqRegs instead.

commit 7ea1b566ba85d2bc1290c569f3207da38e8a9512
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 17:59:19 2007 -0700

    Eliminate XGI_New_GetColorDepth. Universally use XGI_GetColorDepth instead.

commit 42d37ee13da8ead3653279a92b20e567696de129
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 17:58:21 2007 -0700

    Revert accidental commit

commit 80e73ba2c1a1668cb551c8ccb09144b8b04e45f6
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 17:56:09 2007 -0700

    Eliminate pointers to writable globals in VB_DEVICE_INFO
    
    MCLKData and ECLKData were supposed to get this treatment along with
    the other structure fields in commit
    a3597f0de3c7b80da901250579cc1bd79b0a0db0.  They were overlooked at
    that time, and this brings them in line.

commit 53809444fa7c6702762e16586c2ed6830ec026c6
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 17:40:37 2007 -0700

    Make remaining global data pointers in VB_DEVICE_INFO const.

commit a3597f0de3c7b80da901250579cc1bd79b0a0db0
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 17:31:01 2007 -0700

    Eliminate pointers to writable globals in VB_DEVICE_INFO
    
    Previously, the VB_DEVICE_INFO was recreated each time certain
    functions were called.  In order to have persistent storage across
    calls, VB_DEVICE_INFO contained pointers to writable global data.
    
    Since the VB_DEVICE_INFO structure is no longer recreated on each
    call, there is no reason to have this global data.  All data is stored
    in the VB_DEVICE_INFO structure.  It is copied from const globals when
    the structure is initialized.

commit 58860f437a83410233e8a4d57039112c79d646bd
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 17:12:32 2007 -0700

    Fix some bits missed on last commit

commit 4aab881830fe531c73185e09dcda32e506afa1f1
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 15:55:50 2007 -0700

    Use only one copy of VB_DEVICE_INFO.
    
    Pass a single copy of the device's VB_DEVICE_INFO structure to the
    functions in vb_*.c instead of requiring each function to initialize
    its own copy.

commit 98f05a81903010198442dbb76b1e3630715691cb
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 15:18:16 2007 -0700

    Eliminate unused structure fields VBInfo and pVBInfo.

commit 70e4e6d1c029a130a6f50b5da5dbfc8923ab36e7
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 15:10:56 2007 -0700

    String replace XGI_Private with VB_DEVICE_INFO, remove vstruct.h.

commit aea90411c823d2066891ee12ada00d6fc7600091
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 15:06:12 2007 -0700

    Replace "struct _XGI_Private" with "struct _VB_DEVICE_INFO".
    
    These two structures are nearly identical, and there is a lot of
    duplicate infrastructure between them.  This patch simply replaces
    "struct _XGI_Private" with a typedef to "struct _VB_DEVICE_INFO".
    Future changes will remove the duplicate infrastructure and unite the
    code more cleanly.

commit 8000c9d413da7bdb395a7bee556e9cf051821eea
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 10:06:44 2007 -0700

    Remove unused "LVDSHL" related structure field and xorg.conf option

commit ee45a047cfaa65bb92be7488a638e48436efc04d
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 10:03:26 2007 -0700

    Remove unused "PanelDelayCompensation" related structure fields and xorg.conf options

commit c7f3de98e76eee60e766f4a9a2036ce2afb8fb2c
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 09:59:23 2007 -0700

    Remove unused "UseOEM" related structure fields and xorg.conf option

commit 9b36b7f4df315e90502062d8442fce96bd9b362b
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 3 09:56:55 2007 -0700

    Remove trivially unused structure fields.

commit 3ef757f055a16689fdea95a0e7561403af3e42fe
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed May 2 15:19:53 2007 -0700

    Eliminiate need for XGI_VGAINFO structure field, remove field.

commit 70f35e266117b3a01cad6ae7d066bf7f296f79b9
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed May 2 15:12:24 2007 -0700

    Remove unused structure fields.  Document fields with issues.

commit d15fc8ae8394312be7af12241728e43e70d6de27
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed May 2 14:44:18 2007 -0700

    Remove redundant structure definitions

commit 01838c17bf482c0ffc64fe1cbb6c8003798ce957
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed May 2 14:39:08 2007 -0700

    Remove useless structure fields CRT1ModeNo and CRT1DMode

commit 95d4db32804b0363e0ed5a1b5de3377bc8349836
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed May 2 14:27:33 2007 -0700

    Remove unused function XGI_SetPitch

commit f3bff6737687ad6be593e18b07c1985aaab085c5
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed May 2 14:23:45 2007 -0700

    Clean ups in XGIBIOSSetMode
    
    - Remove commented-out code.
    - Rearrange the pXGI->pVbe and pXGI->pVbe->pInt10 checking.
    - Since pScrn cannot be NULL, remove the NULL test.

commit d1000f6479e7f9eb308e662576d8d9a97d975f9c
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Apr 27 18:38:26 2007 -0700

    Refactor some HDE / VDE related code into its own function

commit 34ce078b2213ac20b9b7a452fd72ee14ef6c9504
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Apr 27 18:07:51 2007 -0700

    Unify DAC data tables

commit 0e4b9dbdd841506ec03e1852b2aa08ce5daa7993
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Apr 27 17:56:29 2007 -0700

    Unify XGI_New_WriteDAC and XGI_WriteDAC

commit c9ba77d2273704e3b54435bdb8d2aa114a95c232
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Apr 27 12:17:46 2007 -0700

    Remove unused function XGISetMode and associated code
    
    Since commit 5aa3427c0ee14939a9bedb0edde8784130f0b646 this function
    has been unused.  XGISetMode was the only caller of XGI_ResetVB, so that
    function can now be removed as well.

commit 6ee9100a6e0f0e4c932bebb1666c4bfd09b2145f
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Apr 27 11:10:55 2007 -0700

    Remove redundant "dosetpitch" parameter to XGIBIOSSetMode.

commit 300c2d9b110ae44af96c7515ad5fd48100ea8715
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Apr 27 10:54:23 2007 -0700

    Remove unused function XGI_CheckBuildCustomMode and associated code
    
    Since commit 7930e4b5f4c3428c19488510933175eb6212a894 this function
    has been unused.  By removing this function, the structure fields
    UseCustomMode and CRT1UsesCustomMode can only be set to FALSE.  Remove
    those fields and code dependent upon them.  XGI_CheckBuildCustomMode
    was also the only caller of XGI_CaclCRRegisters.  Remove that function.
    
